🌥️

AWS Amplify(monorepo使用時)に新しいブランチデプロイでCustomerErrorが発生した場合の対処法

2023/01/18に公開約300字
!!! CustomerError: Framework Web not supported

デプロイ時にフレームワークの設定の影響でCustomerErrorが発生する

再現状況

  • Next.js(Framework: Next.js - SSR)
  • monorepo(直下のsrcディレクトリをappRootに指定)
  • 新しくブランチデプロイを追加(develop)

対処法

aws-cliで直接フレームワークの設定を変更する

aws amplify update-branch --app-id {value} --branch-name {value} --framework 'Next.js - SSR'

Discussion

ログインするとコメントできます